Bug 175862 - www/nginx with iconv fails
www/nginx with iconv fails
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey A. Osokin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 16:20 UTC by ychsiao
Modified: 2013-02-07 03:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ychsiao 2013-02-05 16:20:00 UTC
===>>> Port directory: /usr/ports/www/nginx

===>>> Launching 'make checksum' for www/nginx in background
===>>> Gathering dependency list for www/nginx from ports
===>>> Initial dependency check complete for www/nginx


===>>> Starting build for www/nginx <<<===

===>>> All dependencies are up to date

===>  Cleaning for nginx-1.2.6,1

This port install Passenger module only

===>  License BSD accepted by the user
===>  Found saved configuration for nginx-1.2.6,1
===>   nginx-1.2.6,1 depends on file: /usr/local/sbin/pkg - found
===>  Extracting for nginx-1.2.6,1
=> SHA256 Checksum OK for nginx-1.2.6.tar.gz.
=> SHA256 Checksum OK for passenger-3.0.19.tar.gz.
=> SHA256 Checksum OK for calio-iconv-nginx-module-v0.10rc7-0-gabdac17.tar.gz.
===>   nginx-1.2.6,1 depends on file: /usr/local/bin/ruby19 - found
===>  Patching for nginx-1.2.6,1
===>   nginx-1.2.6,1 depends on file: /usr/local/bin/ruby19 - found
===>  Applying extra patch /usr/ports/www/nginx/files/extra-patch-passenger-build-nginx.rb
===>  Applying extra patch /usr/ports/www/nginx/files/extra-patch-calio-iconv-nginx-module-config
===>  Applying FreeBSD patches for nginx-1.2.6,1
===>   nginx-1.2.6,1 depends on file: /usr/local/bin/ruby19 - found
===>   nginx-1.2.6,1 depends on file: /usr/local/bin/rake - found
===>   nginx-1.2.6,1 depends on shared library: pcre - found
===>   nginx-1.2.6,1 depends on shared library: iconv - found
===>  Configuring for nginx-1.2.6,1
checking for OS
 + FreeBSD 9.1-RELEASE amd64
checking for C compiler ... found
 + using GNU C compiler
checking for --with-ld-opt="-L /usr/local/lib" ... found
checking for gcc builtin atomic operations ... found
checking for C99 variadic macros ... found
checking for gcc variadic macros ... found
checking for unistd.h ... found
checking for inttypes.h ... found
checking for limits.h ... found
checking for sys/filio.h ... found
checking for sys/param.h ... found
checking for sys/mount.h ... found
checking for sys/statvfs.h ... found
checking for crypt.h ... not found
checking for FreeBSD specific features
 + sendfile() found
 + sendfile()'s SF_NODISKIO found
 + POSIX semaphores should work
 + kqueue found
 + kqueue's NOTE_LOWAT found
 + kqueue's EVFILT_TIMER found
 + cpuset_setaffinity() found
checking for poll() ... found
checking for /dev/poll ... not found
checking for crypt() ... not found
checking for crypt() in libcrypt ... found
checking for F_READAHEAD ... found
checking for posix_fadvise() ... found
checking for O_DIRECT ... found
checking for F_NOCACHE ... not found
checking for directio() ... not found
checking for statfs() ... found
checking for statvfs() ... found
checking for dlopen() ... found
checking for sched_yield() ... found
checking for SO_SETFIB ... found
checking for SO_ACCEPTFILTER ... found
checking for TCP_DEFER_ACCEPT ... not found
checking for TCP_KEEPIDLE, TCP_KEEPINTVL, TCP_KEEPCNT ... found
checking for TCP_INFO ... found
checking for accept4() ... not found
checking for int size ... 4 bytes
checking for long size ... 8 bytes
checking for long long size ... 8 bytes
checking for void * size ... 8 bytes
checking for uint64_t ... found
checking for sig_atomic_t ... found
checking for sig_atomic_t size ... 8 bytes
checking for socklen_t ... found
checking for in_addr_t ... found
checking for in_port_t ... found
checking for rlim_t ... found
checking for uintptr_t ... uintptr_t found
checking for system byte ordering ... little endian
checking for size_t size ... 8 bytes
checking for off_t size ... 8 bytes
checking for time_t size ... 8 bytes
checking for AF_INET6 ... found
checking for setproctitle() ... found
checking for pread() ... found
checking for pwrite() ... found
checking for sys_nerr ... found
checking for localtime_r() ... found
checking for posix_memalign() ... found
checking for memalign() ... not found
checking for mmap(MAP_ANON|MAP_SHARED) ... found
checking for mmap("/dev/zero", MAP_SHARED) ... found
checking for System V shared memory ... found
checking for POSIX semaphores ... found
checking for struct msghdr.msg_control ... found
checking for ioctl(FIONBIO) ... found
checking for struct tm.tm_gmtoff ... found
checking for struct dirent.d_namlen ... found
checking for struct dirent.d_type ... found
checking for sysconf(_SC_NPROCESSORS_ONLN) ... found
checking for openat(), fstatat() ... found
configuring additional modules
adding module in /usr/ports/www/nginx/work/passenger-3.0.19/ext/nginx
*** The Phusion Passenger support files are not yet compiled. Compiling them for you... ***
*** Running 'rake nginx RELEASE=yes' in /usr/ports/www/nginx/work/passenger-3.0.19/ext/nginx... ***
(in /usr/ports/www/nginx/work/passenger-3.0.19)
mkdir -p ext/common/libboost_oxt
c++ -Iext  -D_REENTRANT -I/usr/local/include -DHASH_NAMESPACE="__gnu_cxx" -DHASH_FUN_H="<ext/hash_fun.h>" -DHAS_SFENCE -DHAS_LFENCE  -Wextra -Wno-unused-parameter -Wno-parentheses -Wpointer-arith -Wwrite-strings -Wno-long-long -Wno-missing-field-initializers -pipe -DNDEBUG -fno-strict-aliasing  -DBOOST_DISABLE_ASSERTS -o ext/common/libboost_oxt/aggregate.o -c ext/common/libboost_oxt/aggregate.cpp
mkdir -p ext/common/libboost_oxt
rm -rf ext/common/libboost_oxt.a
ar cru ext/common/libboost_oxt.a ext/common/libboost_oxt/aggregate.o
ranlib ext/common/libboost_oxt.a
mkdir -p ext/common/libpassenger_common
c++ -Iext -Iext/common   -D_REENTRANT -I/usr/local/include -DHASH_NAMESPACE="__gnu_cxx" -DHASH_FUN_H="<ext/hash_fun.h>" -DHAS_SFENCE -DHAS_LFENCE  -Wextra -Wno-unused-parameter -Wno-parentheses -Wpointer-arith -Wwrite-strings -Wno-long-long -Wno-missing-field-initializers -pipe -DNDEBUG -fno-strict-aliasing  -DBOOST_DISABLE_ASSERTS -o ext/common/libpassenger_common/aggregate.o -c ext/common/libpassenger_common/aggregate.cpp
rm -rf ext/common/libpassenger_common.a
ar cru ext/common/libpassenger_common.a ext/common/libpassenger_common/aggregate.o
ranlib ext/common/libpassenger_common.a
*** Phusion Passenger support files have been successfully compiled. ***
checking for Math library ... found
 + ngx_http_passenger_module was configured
adding module in /usr/ports/www/nginx/work/calio-iconv-nginx-module-abdac17
error: ngx_devel_kit is required to build ngx_iconv; please put it before ngx_iconv.
===>  Script "configure" failed unexpectedly.
Please report the problem to osa@FreeBSD.org [maintainer] and attach the
"/usr/ports/www/nginx/work/nginx-1.2.6/config.log" including the output of
the failure of your make command. Also, it might be a good idea to provide
an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg info -g -Ea).
*** [do-configure] Error code 1

Stop in /usr/ports/www/nginx.
*** [build] Error code 1

Stop in /usr/ports/www/nginx.

===>>> make failed for www/nginx
===>>> Aborting update

Terminated

===>>> You can restart from the point of failure with this command line:
       portmaster <flags> www/nginx
Comment 1 Edwin Groothuis freebsd_committer 2013-02-06 02:05:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->osa

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2013-02-07 03:16:25 UTC
Author: osa
Date: Thu Feb  7 03:16:16 2013
New Revision: 311809
URL: http://svnweb.freebsd.org/changeset/ports/311809

Log:
  Update devel-kit third-party module from 0.2.17 to 0.2.18.
  
  USE_NGINX_DEVEL_KIT internal knob has been deprecated.
  
  Fix third-party modules build by change configure order.
  Fix build with iconv third-party module.			 (*)
  
  Do not bump PORTREVISION.
  
  PR:	175862 (*)

Modified:
  head/www/nginx-devel/Makefile
  head/www/nginx-devel/distinfo
  head/www/nginx/Makefile
  head/www/nginx/distinfo

Modified: head/www/nginx-devel/Makefile
==============================================================================
--- head/www/nginx-devel/Makefile	Thu Feb  7 02:10:29 2013	(r311808)
+++ head/www/nginx-devel/Makefile	Thu Feb  7 03:16:16 2013	(r311809)
@@ -553,8 +553,16 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/c
 EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-chaoslawful-drizzle-nginx-module-config
 .endif
 
+.if ${PORT_OPTIONS:MARRAYVAR} || ${PORT_OPTIONS:MENCRYPTSESSION} || ${PORT_OPTIONS:MFORMINPUT} || ${PORT_OPTIONS:MICONV} || ${PORT_OPTIONS:MLUA} || ${PORT_OPTIONS:MSET_MISC}
+NGINX_DEVEL_KIT_VERSION=	0.2.18
+GIT_DEVEL_KIT_VERSION=	0-g48bc5dd
+FETCH_ARGS=	-pRr
+MASTER_SITES+=	https://github.com/simpl/ngx_devel_kit/tarball/v${NGINX_DEVEL_KIT_VERSION}/:devel_kit
+DISTFILES+=	simpl-ngx_devel_kit-v${NGINX_DEVEL_KIT_VERSION}-${GIT_DEVEL_KIT_VERSION}.tar.gz:devel_kit
+CONFIGURE_ARGS+=--add-module=${WRKDIR}/simpl-ngx_devel_kit-${GIT_DEVEL_KIT_VERSION:S/^0-g//}
+.endif
+
 .if ${PORT_OPTIONS:MENCRYPTSESSION}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ENCRYPTSESSION_VERSION=	0.02
 GIT_ENCRYPTSESSION_VERSION=	0-gc752861
 FETCH_ARGS=	-pRr
@@ -589,7 +597,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 LIB_DEPENDS+=	luajit-5.1:${PORTSDIR}/lang/luajit
 CONFIGURE_ENV+=	"LUAJIT_INC=${LOCALBASE}/include/luajit-2.0"
 CONFIGURE_ENV+=	"LUAJIT_LIB=${LOCALBASE}/lib"
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_LUA_VERSION=	0.6.10
 GIT_LUA_VERSION=	0-g73d8dd2
 FETCH_ARGS=	-pRr
@@ -682,7 +689,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 .endif
 
 .if ${PORT_OPTIONS:MSET_MISC}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_SET_MISC_VERSION=	0.22rc8
 GIT_SET_MISC_VERSION=	0-g658c235
 FETCH_ARGS=	-pRr
@@ -808,17 +814,7 @@ NGINX_OPENSSL=	yes
 CONFIGURE_ARGS+=--with-http_ssl_module
 .endif
 
-.if defined(USE_NGINX_DEVEL_KIT)
-NGINX_DEVEL_KIT_VERSION=	0.2.17
-GIT_DEVEL_KIT_VERSION=	0-gbc97eea
-FETCH_ARGS=	-pRr
-MASTER_SITES+=	https://github.com/simpl/ngx_devel_kit/tarball/v${NGINX_DEVEL_KIT_VERSION}/:devel_kit
-DISTFILES+=	simpl-ngx_devel_kit-v${NGINX_DEVEL_KIT_VERSION}-${GIT_DEVEL_KIT_VERSION}.tar.gz:devel_kit
-CONFIGURE_ARGS+=--add-module=${WRKDIR}/simpl-ngx_devel_kit-${GIT_DEVEL_KIT_VERSION:S/^0-g//}
-.endif
-
 .if ${PORT_OPTIONS:MARRAYVAR}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ARRAYVAR_VERSION=	0.03rc1
 GIT_ARRAYVAR_VERSION=	0-gfed751a
 FETCH_ARGS=	-pRr
@@ -828,7 +824,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 .endif
 
 .if ${PORT_OPTIONS:MFORMINPUT}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_FORMINPUT_VERSION=	0.07rc5
 GIT_FORMINPUT_VERSION=	0-gd41681d
 FETCH_ARGS=	-pRr
@@ -839,7 +834,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/c
 
 .if ${PORT_OPTIONS:MICONV}
 LIB_DEPENDS+=	iconv:${PORTSDIR}/converters/libiconv
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ICONV_VERSION=	0.10rc7
 GIT_ICONV_VERSION=	0-gabdac17
 FETCH_ARGS=	-pRr

Modified: head/www/nginx-devel/distinfo
==============================================================================
--- head/www/nginx-devel/distinfo	Thu Feb  7 02:10:29 2013	(r311808)
+++ head/www/nginx-devel/distinfo	Thu Feb  7 03:16:16 2013	(r311809)
@@ -98,8 +98,8 @@ SHA256 (gabor-nginx-x-rid-header-0daa3cc
 SIZE (gabor-nginx-x-rid-header-0daa3cc.tar.gz) = 2714
 SHA256 (agentzh-xss-nginx-module-v0.03rc9-0-gbeddbe1.tar.gz) = 444d7e319bb2af4c7892815407f53e4ffe21183f3e6711eafe86ed7523a3531b
 SIZE (agentzh-xss-nginx-module-v0.03rc9-0-gbeddbe1.tar.gz) = 9891
-SHA256 (simpl-ngx_devel_kit-v0.2.17-0-gbc97eea.tar.gz) = bf5540d76d1867b4411091f16c6c786fd66759099c59483c76c68434020fdb02
-SIZE (simpl-ngx_devel_kit-v0.2.17-0-gbc97eea.tar.gz) = 64964
+SHA256 (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = bfd737ee5608c1ec2e59409c47cb29e390aeb882b8c0bf00d7322e74585cebae
+SIZE (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = 64972
 SHA256 (agentzh-array-var-nginx-module-v0.03rc1-0-gfed751a.tar.gz) = 345e60d7a479409b7a7aba933a042629d59fd4fbfaed1d0f7fe43cc688e48ced
 SIZE (agentzh-array-var-nginx-module-v0.03rc1-0-gfed751a.tar.gz) = 9500
 SHA256 (calio-form-input-nginx-module-v0.07rc5-0-gd41681d.tar.gz) = 831bb3fa339206130b6395aa2cb4dfe4cdf9222e2a7da9de8d3de4a1a4620abc

Modified: head/www/nginx/Makefile
==============================================================================
--- head/www/nginx/Makefile	Thu Feb  7 02:10:29 2013	(r311808)
+++ head/www/nginx/Makefile	Thu Feb  7 03:16:16 2013	(r311809)
@@ -565,8 +565,16 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/c
 EXTRA_PATCHES+=	${PATCHDIR}/extra-patch-chaoslawful-drizzle-nginx-module-config
 .endif
 
+.if ${PORT_OPTIONS:MARRAYVAR} || ${PORT_OPTIONS:MENCRYPTSESSION} || ${PORT_OPTIONS:MFORMINPUT} || ${PORT_OPTIONS:MICONV} || ${PORT_OPTIONS:MLUA} || ${PORT_OPTIONS:MSET_MISC}
+NGINX_DEVEL_KIT_VERSION=	0.2.18
+GIT_DEVEL_KIT_VERSION=	0-g48bc5dd
+FETCH_ARGS=	-pRr
+MASTER_SITES+=	https://github.com/simpl/ngx_devel_kit/tarball/v${NGINX_DEVEL_KIT_VERSION}/:devel_kit
+DISTFILES+=	simpl-ngx_devel_kit-v${NGINX_DEVEL_KIT_VERSION}-${GIT_DEVEL_KIT_VERSION}.tar.gz:devel_kit
+CONFIGURE_ARGS+=--add-module=${WRKDIR}/simpl-ngx_devel_kit-${GIT_DEVEL_KIT_VERSION:S/^0-g//}
+.endif
+
 .if ${PORT_OPTIONS:MENCRYPTSESSION}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ENCRYPTSESSION_VERSION=	0.02
 GIT_ENCRYPTSESSION_VERSION=	0-gc752861
 FETCH_ARGS=	-pRr
@@ -601,7 +609,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 LIB_DEPENDS+=	luajit-5.1:${PORTSDIR}/lang/luajit
 CONFIGURE_ENV+=	"LUAJIT_INC=${LOCALBASE}/include/luajit-2.0"
 CONFIGURE_ENV+=	"LUAJIT_LIB=${LOCALBASE}/lib"
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_LUA_VERSION=	0.6.10
 GIT_LUA_VERSION=	0-g73d8dd2
 FETCH_ARGS=	-pRr
@@ -694,7 +701,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 .endif
 
 .if ${PORT_OPTIONS:MSET_MISC}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_SET_MISC_VERSION=	0.22rc8
 GIT_SET_MISC_VERSION=	0-g658c235
 FETCH_ARGS=	-pRr
@@ -809,17 +815,7 @@ NGINX_OPENSSL=	yes
 CONFIGURE_ARGS+=--with-http_ssl_module
 .endif
 
-.if defined(USE_NGINX_DEVEL_KIT)
-NGINX_DEVEL_KIT_VERSION=	0.2.17
-GIT_DEVEL_KIT_VERSION=	0-gbc97eea
-FETCH_ARGS=	-pRr
-MASTER_SITES+=	https://github.com/simpl/ngx_devel_kit/tarball/v${NGINX_DEVEL_KIT_VERSION}/:devel_kit
-DISTFILES+=	simpl-ngx_devel_kit-v${NGINX_DEVEL_KIT_VERSION}-${GIT_DEVEL_KIT_VERSION}.tar.gz:devel_kit
-CONFIGURE_ARGS+=--add-module=${WRKDIR}/simpl-ngx_devel_kit-${GIT_DEVEL_KIT_VERSION:S/^0-g//}
-.endif
-
 .if ${PORT_OPTIONS:MARRAYVAR}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ARRAYVAR_VERSION=	0.03rc1
 GIT_ARRAYVAR_VERSION=	0-gfed751a
 FETCH_ARGS=	-pRr
@@ -829,7 +825,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/a
 .endif
 
 .if ${PORT_OPTIONS:MFORMINPUT}
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_FORMINPUT_VERSION=	0.07rc5
 GIT_FORMINPUT_VERSION=	0-gd41681d
 FETCH_ARGS=	-pRr
@@ -840,7 +835,6 @@ CONFIGURE_ARGS+=--add-module=${WRKDIR}/c
 
 .if ${PORT_OPTIONS:MICONV}
 LIB_DEPENDS+=	iconv:${PORTSDIR}/converters/libiconv
-USE_NGINX_DEVEL_KIT=	yes
 NGINX_ICONV_VERSION=	0.10rc7
 GIT_ICONV_VERSION=	0-gabdac17
 FETCH_ARGS=	-pRr

Modified: head/www/nginx/distinfo
==============================================================================
--- head/www/nginx/distinfo	Thu Feb  7 02:10:29 2013	(r311808)
+++ head/www/nginx/distinfo	Thu Feb  7 03:16:16 2013	(r311809)
@@ -102,8 +102,8 @@ SHA256 (gabor-nginx-x-rid-header-0daa3cc
 SIZE (gabor-nginx-x-rid-header-0daa3cc.tar.gz) = 2714
 SHA256 (agentzh-xss-nginx-module-v0.03rc9-0-gbeddbe1.tar.gz) = 444d7e319bb2af4c7892815407f53e4ffe21183f3e6711eafe86ed7523a3531b
 SIZE (agentzh-xss-nginx-module-v0.03rc9-0-gbeddbe1.tar.gz) = 9891
-SHA256 (simpl-ngx_devel_kit-v0.2.17-0-gbc97eea.tar.gz) = bf5540d76d1867b4411091f16c6c786fd66759099c59483c76c68434020fdb02
-SIZE (simpl-ngx_devel_kit-v0.2.17-0-gbc97eea.tar.gz) = 64964
+SHA256 (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = bfd737ee5608c1ec2e59409c47cb29e390aeb882b8c0bf00d7322e74585cebae
+SIZE (simpl-ngx_devel_kit-v0.2.18-0-g48bc5dd.tar.gz) = 64972
 SHA256 (agentzh-array-var-nginx-module-v0.03rc1-0-gfed751a.tar.gz) = 345e60d7a479409b7a7aba933a042629d59fd4fbfaed1d0f7fe43cc688e48ced
 SIZE (agentzh-array-var-nginx-module-v0.03rc1-0-gfed751a.tar.gz) = 9500
 SHA256 (calio-form-input-nginx-module-v0.07rc5-0-gd41681d.tar.gz) = 831bb3fa339206130b6395aa2cb4dfe4cdf9222e2a7da9de8d3de4a1a4620abc
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sergey A. Osokin freebsd_committer 2013-02-07 03:18:25 UTC
State Changed
From-To: open->closed

I've committed fix, thanks for report.